Subject: Re: make headers_install broken for ARCH=m68k in 2.6.29-rc7.

From: Rob Landley <[email-masked]>
Date: Thu, 19 Mar 2009 03:41:53 -0500

On Thursday 19 March 2009 02:59:45 Geert Uytterhoeven wrote:
> On Wed, Mar 18, 2009 at 19:12, Rob Landley <[email-masked]> wrote:
> > On Wednesday 18 March 2009 00:34:43 Greg Ungerer wrote:
> >> Rob Landley wrote:
> >> > On Monday 16 March 2009 18:10:45 Greg Ungerer wrote:
> >> >>>>    git://git.kernel.org/pub/scm/linux/kernel/git/gerg/m68knommu.git
> >> >>>> fix-includes
> >
> > ...
> >
> >> > What _should_ I have done?
> >>
> >> The git clone you have done will just get the master branch,
> >> and put it in a directory named fix-includes.
> >>
> >> Which is ok, but you still won't have the "fix-includes" branch.
> >> Do this after the clone:
> >>
> >>    git pull
> >> git://git.kernel.org/pub/scm/linux/kernel/git/gerg/m68knommu.git
> >> fix-includes
> >
> > Ah, that did something interesting...  And the resulting headers built in
> > uClibc.  (Works for me!)
> >
> > confirmed-uClibc-builds-with-it-by: Rob Landley <[email-masked]>
>
> Does it boot on ARAnyM? ;-)

Dunno.  When I ran aranym it popped up a menu screen and asked me to configure 
it, so I tracked down a couple of howtos I haven't had time to read yet 
(http://wiki.aranym.org/aranym_from_scratch and 
http://wiki.aranym.org/afs/setup_linux).

At a glance the emulator doesn't seem to actually support a serial port, so no 
serial console, which is a bit of a limiting factor for how I normally use 
it...

Rob